Skip to content

List all activity log types

Request

Security
oauth2_client_credentials or oauth2_authorization_code
Query
pageSizeinteger, (int32)(page_size)

Optional. The maximum number of activity log types to return. The service may return fewer than this value. If unspecified, at most 50 activity log types will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageTokenstring(page_token)

Optional. A page token, received from a previous ListActivityLogType call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListActivityLogType must match the call that provided the page token.

showDeletedboolean(show_deleted)

Optional. If true, soft-deleted activity log types will be included in the response. See AIP-164.

skipinteger, (int32)(skip)

Optional. The number of activity log types to skip before starting to collect the result set.

filterstring(filter)

Optional. A filter expression that filters the results listed in the response. Filter only currently supports a fuzzy search on display name. See AIP-160 for more details.

orderBystring(order_by)

(OPTIONAL)

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogTypes?pageSize=25&pageToken=ChAIAhABGAE&showDeleted=true&skip=50&filter=Customer%20Sign%20in&orderBy=name%20desc' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
activityLogTypesArray of objects(activity_log_types)
nextPageTokenstring(next_page_token)

A token to retrieve the next page of results.

totalSizeinteger, (int32)(total_size)

The total number of activity log types.

Response
{ "activityLogTypes": [ {} ], "nextPageToken": "string", "totalSize": 0 }